org.eclipse.wst.jsdt.ui.wizards

## Interface IJsGlobalScopeContainerPage

All Known Implementing Classes:
  BaseLibraryWizardPage

    public interface IJsGlobalScopeContainerPage

A classpath container page allows the user to create a new or edit an existing classpath container entry.

Clients should implement this interface and include the name of their class in an extension contributed to the jdt.ui's classpath container page extension point (named `org.eclipse.wst.jsdt.ui.JsGlobalScopeContainerPage` ).

Clients implementing this interface may subclass from `org.eclipse.jface.wizard.WizardPage`.

Clients implementing this interface may also implement `IJsGlobalScopeContainerPageExtension` to get additional context before this page is opened. Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `finish()` Called when the classpath container wizard is closed by selecting the finish button.
`IIncludePathEntry` `getSelection()` Returns the edited or created classpath container entry.
`void` `setSelection(IIncludePathEntry containerEntry)` Sets the classpath container entry to be edited or `null` if a new entry should be created.

### Method Detail

#### finish

    boolean finish()

Called when the classpath container wizard is closed by selecting the finish button. Implementers typically override this method to store the page result (new/changed classpath entry returned in getSelection) into its model.

Returns:
  if the operation was successful. Only when returned `true`, the wizard will close.

#### getSelection

    IIncludePathEntry getSelection()

Returns the edited or created classpath container entry. This method may return `null` if no classpath container entry exists. The returned classpath entry is of kind `IIncludePathEntry.CPE_CONTAINER` .

Returns:
  the classpath entry edited or created on the page.

#### setSelection

    void setSelection(IIncludePathEntry containerEntry)

Sets the classpath container entry to be edited or `null` if a new entry should be created.

Parameters:
  `containerEntry` - the classpath entry to edit or `null`. If not `null` then the classpath entry must be of kind `IIncludePathEntry.CPE_CONTAINER`